net.fortuna.ical4j.model

## Class ConstraintViolationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.fortuna.ical4j.model.ConstraintViolationException

All Implemented Interfaces:
  Serializable

    public class ConstraintViolationException
    extends Exception

$Id$ Created on 02/03/2008 Indicates the violation of a constraint imposed by a relevant specification.

Author:
  Ben
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConstraintViolationException()` Default constructor.
`ConstraintViolationException(String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConstraintViolationException

    public ConstraintViolationException()

Default constructor.

#### ConstraintViolationException

    public ConstraintViolationException(String message)

Parameters:
  `message` - an error message